## aacparse

aacparse — AAC parser

## Types and Values

struct | GstAacParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstAacParse

## Description

This is an AAC parser which handles both ADIF and ADTS stream formats.

As ADIF format is not framed, it is not seekable and stream duration cannot be determined either. However, ADTS format AAC clips can be seeked, and parser can also estimate playback position and clip duration.

### Example launch line

    1

    gst-launch-1.0 filesrc location=abc.aac ! aacparse ! faad ! audioresample ! audioconvert ! alsasink

## Synopsis

### Element Information

plugin | audioparsers
author | Stefan Kost <stefan.kost@nokia.com>
class | Codec/Parser/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/mpeg, mpegversion=(int){ 2, 4 }

name | src
direction | source
presence | always
details | audio/mpeg, framed=(boolean)true, mpegversion=(int){ 2, 4 }, stream-format=(string){ raw, adts, adif, loas }

## Functions

## Types and Values

### struct GstAacParse

    struct GstAacParse;

The opaque GstAacParse data structure.

## See Also

GstAmrParse